# Flexschedulerule module

Flexschedulerule module handling /flexschedulerule/ API calls.

class rachiopy.flexschedulerule.FlexSchedulerule(authtoken: str, http_session=None, timeout=25)

  FlexSchedulerule class with methods for /flexschedulerule/ calls.

  get(flex_sched_rule_id: str)

    Retrieve the information for a flexscheduleRule entity.

    For more info of the content in the response see: https://rachio.readme.io/docs/publicflexscheduleruleid

    Parameters:

      flex_sched_rule_id (str) – FlexScheduleRule’s unique id

    Returns:

      The return value is a tuple of (response, content), the first being and instance of the httplib2.Response class, the second being a string that contains the response entity body.

    Return type:

      tuple